%define oname   radius

Name:       ruby-%{oname}
Version:    0.7.3
Release:    %mkrel 4
Summary:    Powerful tag-based template system
License:    MIT
Group:      Development/Ruby
URL:        http://radius.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Radius is a powerful tag-based template language for Ruby inspired by the
template languages used in MovableType[http://www.movabletype.org] and
TextPattern[http://www.textpattern.com]. It uses tags similar to XML, but
can be used to generate any form of plain text (HTML, e-mail, etc...).

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGELOG
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CONTRIBUTORS
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/QUICKSTART.rdoc


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.7.3-4.mga3
+ Revision: 396331
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.7.3-3.mga3
+ Revision: 381316
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.7.3-2.mga3
+ Revision: 313820
- rebuild for new ruby

* Thu Jun 07 2012 solbu <solbu> 0.7.3-1.mga3
+ Revision: 256754
- New version
- Spec cleanup

* Sat Feb 12 2011 shikamaru <shikamaru> 0.6.1-1.mga1
+ Revision: 51139
- imported package ruby-radius

